Click or drag to resize

CentermarkCreate Method

Create a new centermark

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static Centermark Create(
	DimensionStyle dimStyle,
	Plane plane,
	Point3d centerpoint,
	double radius
)

Parameters

dimStyle
Type: Rhino.DocObjectsDimensionStyle

[Missing <param name="dimStyle"/> documentation for "M:Rhino.Geometry.Centermark.Create(Rhino.DocObjects.DimensionStyle,Rhino.Geometry.Plane,Rhino.Geometry.Point3d,System.Double)"]

plane
Type: Rhino.GeometryPlane

[Missing <param name="plane"/> documentation for "M:Rhino.Geometry.Centermark.Create(Rhino.DocObjects.DimensionStyle,Rhino.Geometry.Plane,Rhino.Geometry.Point3d,System.Double)"]

centerpoint
Type: Rhino.GeometryPoint3d

[Missing <param name="centerpoint"/> documentation for "M:Rhino.Geometry.Centermark.Create(Rhino.DocObjects.DimensionStyle,Rhino.Geometry.Plane,Rhino.Geometry.Point3d,System.Double)"]

radius
Type: SystemDouble

[Missing <param name="radius"/> documentation for "M:Rhino.Geometry.Centermark.Create(Rhino.DocObjects.DimensionStyle,Rhino.Geometry.Plane,Rhino.Geometry.Point3d,System.Double)"]

Return Value

Type: Centermark

[Missing <returns> documentation for "M:Rhino.Geometry.Centermark.Create(Rhino.DocObjects.DimensionStyle,Rhino.Geometry.Plane,Rhino.Geometry.Point3d,System.Double)"]

Version Information

Rhino for Windows

Supported in: 6.5
See Also